public
nobgit
read
NobMail
Based on mailcow: dockerized
Languages
Repository composition by tracked source files.
PHP
49%
JavaScript
35%
HTML
9%
CSS
4%
Shell
2%
Python
1%
Lua
0%
Perl
0%
Ruby
0%
SCSS
0%
Create file
Wiki Documentation
Clone
https://nobgit.com/orgs/nobgit/nobmail.git
ssh://[email protected]:2222/orgs/nobgit/nobmail.git
Commit
Compose Version detection implemented in Backup script
925b2209
helper-scripts/backup_and_restore.sh | 20 ++++++++++++++++----
update.sh | 20 ++++++++++----------
2 files changed, 26 insertions(+), 14 deletions(-)
Diff
diff --git a/helper-scripts/backup_and_restore.sh b/helper-scripts/backup_and_restore.sh
index 506420b4..6781600f 100755
--- a/helper-scripts/backup_and_restore.sh
+++ b/helper-scripts/backup_and_restore.sh
@@ -160,12 +160,24 @@ function backup() {
}
function restore() {
- for bin in docker docker-compose; do
+ for bin in docker; do
if [[ -z $(which ${bin}) ]]; then
>&2 echo -e "\e[31mCannot find ${bin} in local PATH, exiting...\e[0m"
exit 1
fi
- done
+ done
+
+ if [ "${DOCKER_COMPOSE_VERSION}" == "native" ]; then
+ COMPOSE_COMMAND="docker compose"
+
+ elif [ "${DOCKER_COMPOSE_VERSION}" == "standalone" ]; then
+ COMPOSE_COMMAND="docker-compose"
+
+ else
+ echo -e "\e[31mCan not read DOCKER_COMPOSE_VERSION variable from mailcow.conf! Is your mailcow up to date? Exiting...\e[0m"
+ exit 1
+ fi
+
echo
echo "Stopping watchdog-mailcow..."
docker stop $(docker ps -qf name=watchdog-mailcow)
@@ -244,7 +256,7 @@ function restore() {
continue
else
echo "Stopping mailcow..."
- docker-compose -f ${COMPOSE_FILE} --env-file ${ENV_FILE} down
+ ${COMPOSE_COMMAND} -f ${COMPOSE_FILE} --env-file ${ENV_FILE} down
fi
#docker stop $(docker ps -qf name=mysql-mailcow)
if [[ -d "${RESTORE_LOCATION}/mysql" ]]; then
@@ -282,7 +294,7 @@ function restore() {
sed -i --follow-symlinks "/DBROOT/c\DBROOT=${DBROOT}" ${SCRIPT_DIR}/../mailcow.conf
source ${SCRIPT_DIR}/../mailcow.conf
echo "Starting mailcow..."
- docker-compose -f ${COMPOSE_FILE} --env-file ${ENV_FILE} up -d
+ ${COMPOSE_COMMAND} -f ${COMPOSE_FILE} --env-file ${ENV_FILE} up -d
#docker start $(docker ps -aqf name=mysql-mailcow)
fi
;;
diff --git a/update.sh b/update.sh
index 812d8d11..4f4cb354 100755
--- a/update.sh
+++ b/update.sh
@@ -646,16 +646,16 @@ else
fi
fi
-# echo -e "\e[32mChecking for newer update script...\e[0m"
-# SHA1_1=$(sha1sum update.sh)
-# git fetch origin #${BRANCH}
-# git checkout origin/${BRANCH} update.sh
-# SHA1_2=$(sha1sum update.sh)
-# if [[ ${SHA1_1} != ${SHA1_2} ]]; then
-# echo "update.sh changed, please run this script again, exiting."
-# chmod +x update.sh
-# exit 2
-# fi
+echo -e "\e[32mChecking for newer update script...\e[0m"
+SHA1_1=$(sha1sum update.sh)
+git fetch origin #${BRANCH}
+git checkout origin/${BRANCH} update.sh
+SHA1_2=$(sha1sum update.sh)
+if [[ ${SHA1_1} != ${SHA1_2} ]]; then
+ echo "update.sh changed, please run this script again, exiting."
+ chmod +x update.sh
+ exit 2
+fi
if [ ! $FORCE ]; then
read -r -p "Are you sure you want to update mailcow: dockerized? All containers will be stopped. [y/N] " response